/* ======================================================================================================== //
// the process of IEC60730 Class B
// ======================================================================================================== */
static void f_iec60730_class_b_startup_pc( void)
{// process of PC
	#pragma section const			l_iec60730_class_b_starup_pc_00		0x8111	////////////////// 0001
	static const unsigned char	a_iec60730_class_b_starup_pc_00[] = { 0xFE, 0x22, 0x82 };
	#pragma section const			l_iec60730_class_b_starup_pc_01		0x8222	////////////////// 0010
	static const unsigned char	a_iec60730_class_b_starup_pc_01[] = { 0xFE, 0x44, 0x84 };
	#pragma section const			l_iec60730_class_b_starup_pc_02		0x8444	////////////////// 0100
	static const unsigned char	a_iec60730_class_b_starup_pc_02[] = { 0xFE, 0x88, 0x88 };
	#pragma section const			l_iec60730_class_b_starup_pc_03		0x8888	////////////////// 1000
	static const unsigned char	a_iec60730_class_b_starup_pc_03[] = { 0xFE, 0xcc, 0xcc };
	#pragma section const			l_iec60730_class_b_starup_pc_04		0xcccc	////////////////// 1100
	static const unsigned char	a_iec60730_class_b_starup_pc_04[] = { 0xFE, 0xee, 0xee };
	#pragma section const			l_iec60730_class_b_starup_pc_05		0xeeee	////////////////// 1110
	static const unsigned char	a_iec60730_class_b_starup_pc_05[] = { 0xFE, 0x66, 0x86 };
	#pragma section const			l_iec60730_class_b_starup_pc_06		0x8666	////////////////// 0110
	static const unsigned char	a_iec60730_class_b_starup_pc_06[] = { 0xFE, 0x77, 0x87 };
	#pragma section const			l_iec60730_class_b_starup_pc_07		0x8777	////////////////// 0111
	static const unsigned char	a_iec60730_class_b_starup_pc_07[] = { 0xFE, 0x33, 0x83 };
	#pragma section const			l_iec60730_class_b_starup_pc_08		0x8333	////////////////// 0011
	static const unsigned char	a_iec60730_class_b_starup_pc_08[] = { 0xFE, 0x55, 0x85 };
	#pragma section const			l_iec60730_class_b_starup_pc_09		0x8555	////////////////// 0101
	static const unsigned char	a_iec60730_class_b_starup_pc_09[] = { 0xFE, 0xaa, 0xaa };
	#pragma section const			l_iec60730_class_b_starup_pc_10		0xaaaa	////////////////// 1010
	static const unsigned char	a_iec60730_class_b_starup_pc_10[] = { 0xFA };
	#pragma section const
	
	{// Pre-init state of PC result
		r_iec60730.share.result.buf = 0xff;
		if ( r_iec60730.share.result.buf == 0 )
		{
			f_iec60730_go_reset();	// result buffer is dead and then go to reset.
		}
	}
	{// Process of PC testing
		{// init watch dog
			WDCTR_WDTEN = 0;		// WDT ֹ	= DIS_WDT
			WDCDR = 0xb1;			// ֹ	= DIS_WDT
			WDCTR_WDTW = 0x00;		// ȫʱЧ
			
			//WDCTR_WDTT = 0x02;	//  = 2^22/fcgck(4M) = 1.048576 s;
			WDCTR_WDTT = 0x00;		//  = 2^18/fcgck(4M) = 66 ms;
			
			//WDCTR_WDTOUT = 0;		// 0:WDT λ --> ж
			WDCTR_WDTOUT = 1;		// 1:WDT λ --> λ
			WDCTR_WDTEN = 1;		// WDT 
			CLR_WDT;
		}
		{
			__asm("call	0x8111");
		}
		{
			CLR_WDT;
			WDCTR_WDTEN = 0;	// WDT ֹ	= DIS_WDT
			WDCDR = 0xb1;		// ֹ	= DIS_WDT
		}
	}
	{// Resume state of PC result
		r_iec60730.share.result.buf = 0;
		if ( r_iec60730.share.result.buf != 0 )
		{
			f_iec60730_go_reset();	// result buffer is dead and then go to reset.
		}
	}
}

/* ======================================================================================================== //
// ======================================================================================================== */
